#
# Generalised Bitmap Module Mozilla/Firefox/SeaMonkey adapter
#
# Copyright (C) 2006 Heiko Nitzsche
#
#   This software is provided 'as-is', without any express or implied
#   warranty.  In no event will the author be held liable for any damages
#   arising from the use of this software.
#
#   Permission is granted to anyone to use this software for any purpose,
#   including commercial applications, and to alter it and redistribute it
#   freely, subject to the following restrictions:
#
#   1. The origin of this software must not be misrepresented; you must not
#      claim that you wrote the original software. If you use this software
#      in a product, an acknowledgment in the product documentation would be
#      appreciated but is not required.
#   2. Altered source versions must be plainly marked as such, and must not be
#      misrepresented as being the original software.
#   3. This notice may not be removed or altered from any source distribution.
#
# This makefile is for Open Watcom C++ on OS/2.
#

# Builds the adapter library for GBM.DLL.
# As GBM.DLL is built multithreaded, all users should also be multithreaded.

# include configuration setting for nmake (except compiler options)
!INCLUDE ..\..\nmake.opt

OS2TK_INC    = $(OS2TK)\h
OS2TK_LIB    = $(OS2TK)\lib

# Location of gbm libs and public header files
GBMCOM = ..\common
GBM    = ..\..\gbmos2
GBMDLG = ..\..\gbmv_pm\gbmdlg
NP_SDK = sdk

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++:
#
CWARNS         = -w3 -we
CFLAGS         = $(CWARNS) -zq -zp4 -onatxh -sg -ei -6r -fp5 -bm -mf -xs -xr /DOS2 /DNDEBUG -i. -i$(GBM) -i$(GBMDLG) -i$(GBMCOM) -i$(NP_SDK) -i$(OS2TK_INC) /D_USRDLL /D_MBCS
CFLAGS_DBG     = $(CWARNS) -zq -zp4 -sg -ei -6r -fp5 -bm -mf -xs -xr -i. -i$(GBM) -i$(GBMDLG) -i$(GBMCOM) -i$(NP_SDK) -i$(OS2TK_INC) -d2  /D_USRDLL /D_MBCS /DOS2 /DDEBUG
CFLAGS_DLL     = -bd $(CFLAGS)
CFLAGS_DLL_DBG = -bd $(CFLAGS_DBG)

LFLAGS         = op q op el
LFLAGS_DBG     = op q d all
LFLAGS_DLL     = sys os2v2_dll initi termi op many op caseexact $(LFLAGS)
LFLAGS_DLL_DBG = sys os2v2_dll initi termi op many op caseexact $(LFLAGS_DBG)

# For debugging call nmake or wmake with debug=on
!ifdef debug
CFLAGS_DLL = $(CFLAGS_DLL_DBG)
LFLAGS_DLL = $(LFLAGS_DLL_DBG)
!endif

# Enable for Pentium profiling (also combined with debug above)
#CFLAGS_DLL     = $(CFLAGS_DLL) -et

#

.SUFFIXES: .cpp .obj .rc .res

.cpp.obj:
           wpp386 $(CFLAGS_DLL) $*.cpp

.rc.res:
#           wrc -q -r -i=$(NP_SDK) $*.rc
           rc -i $(NP_SDK) -n -r -x2 $*.rc

#

all:   gbmcom.lib npgbm.dll

#

npgbm.dll:     $(NP_SDK)\npos2.obj npgbm.obj GbmBitmapViewer.obj npgbm.def npgbm.res
               wlink $(LFLAGS_DLL) @npgbm name $@ file $(NP_SDK)\npos2.obj,npgbm.obj,GbmBitmapViewer.obj \
                                                  lib  $(GBMCOM)\gbmcom.lib,$(GBM)\gbmscale.lib,$(GBM)\gbmmir.lib,$(GBM)\gbmrect.lib
#               wrc -q npgbm.res $@
               rc -n -x2 npgbm.res $@

$(NP_SDK)\npos2.obj:  $(NP_SDK)\npos2.cpp $(NP_SDK)\npapi.h $(NP_SDK)\npupp.h
                      wpp386 $(CFLAGS_DLL) -fo="$(NP_SDK)\npos2.obj" $(NP_SDK)\npos2.cpp

npgbm.obj:     npgbm.cpp npgbmrc.h $(NP_SDK)\npapi.h $(GBMCOM)\os2defs.h \
                 $(GBMCOM)\GbmException.hpp $(GBMCOM)\GbmAccessor.hpp $(GBMCOM)\GbmDocument.hpp $(GBMCOM)\GbmDocumentPage.hpp $(GBMCOM)\GbmRenderer.hpp \
                 $(GBM)\gbm.h $(GBM)\gbmscale.h $(GBM)\gbmmir.h $(GBM)\gbmrect.h

GbmBitmapViewer.obj:  GbmBitmapViewer.cpp GbmBitmapViewer.hpp npgbmrc.h $(GBMCOM)\os2defs.h \
                 $(GBMCOM)\GbmException.hpp $(GBMCOM)\GbmAccessor.hpp $(GBMCOM)\GbmDialogAccessor.hpp $(GBMCOM)\GbmDocument.hpp $(GBMCOM)\GbmDocumentPage.hpp $(GBMCOM)\GbmRenderer.hpp \
                 $(GBM)\gbm.h $(GBM)\gbmscale.h $(GBM)\gbmmir.h $(GBM)\gbmrect.h \
                 $(GBMDLG)\gbmdlg.h

npgbm.res:     npgbm.rc npgbmrc.h $(NP_SDK)\npapi.h

gbmcom.lib:
!ifdef debug
               (cd $(GBMCOM) && wmake -c -ms -h -f makefile.wat debug=yes)
!else
               (cd $(GBMCOM) && wmake -c -ms -h -f makefile.wat)
!endif

# ------------------------
# Build management targets
# ------------------------

clean:
    (cd $(GBMCOM) && wmake -c -ms -h -f makefile.wat clean)
    -del /N *.obj $(NP_SDK)\*.obj *.res 2> nul

clobber:
    (cd $(GBMCOM) && wmake -c -ms -h -f makefile.wat clobber)
    -del /N *.obj $(NP_SDK)\*.obj *.res *.dll 2> nul

#

install:

#

exepack:
         $(DLL_PACKER) *.dll

#

package:


