#
# Simple full screen bitmap animation viewer
#
# This makefile is for Open Watcom C++ on OS/2.
# (The program requires fullscreen mode which doesn't seem to work.)

# include configuration setting for nmake (except compiler options)
!INCLUDE ..\..\nmake.opt

GBM    = ..\..\gbmos2
IDIR   = ..\bin

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++:
#
CC      = wcc386
CL      = wlink

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS     = -wx
CFLAGS     = $(CWARNS) -i$(GBM) -zq -zp4 -onatxh -sg -ei -6r -fp5 -bm -mf
CFLAGS_DBG = $(CWARNS) -i$(GBM) -zq -zp4 -sg -ei -6r -fp5 -bm -mf -d2 /DDEBUG

LFLAGS     = SYSTEM os2v2 fullscreen op q op el op stack=0x16384
LFLAGS_DBG = SYSTEM os2v2 fullscreen op q d all op stack=0x16384

# For debugging call nmake or wmake with debug=on
!ifdef debug
CFLAGS     = $(CFLAGS_DBG)
LFLAGS     = $(LFLAGS_DBG)
!endif

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

gbmvfsa.exe:	gbmvfsa.obj gbmvfsa.def $(GBM)\gbm.lib $(GBM)\gbmtool.lib
		$(CL) $(LFLAGS) @gbmvfsa name $@ file gbmvfsa.obj library $(GBM)\gbm.lib,$(GBM)\gbmtool.lib

gbmvfsa.obj:	gbmvfsa.c $(GBM)\gbm.h $(GBM)\gbmtool.h

#

clean:
		-del /N *.obj 2> nul

clobber:
		-del /N *.obj *.exe $(IDIR)\gbmvfsa.exe 2> nul

#


install:
		copy gbmvfsa.exe $(IDIR)

#

exepack:
         $(EXE_PACKER) *.exe

#

package:
               -del /N $(IDIR)\gbmvfsa_exe.zip 2> nul
               zip -9 $(IDIR)\gbmvfsa_exe.zip gbmvfsa.exe

